# UFCFRN-30-0 - Creative technology studies

## Crossword Puzzle

![Photo of the final project](img/project.jpg)

> Robin King 22016459

## About the Puzzle

### Background

For this project, I have designed a puzzle which is a part of an escape room with a time travel theme.

The pitch for the storyline is as follows:

- You’re in a team of time travellers who’ve crashed into a museum, breaking your time machine into four pieces.
- The time machine pieces have warped the museum exhibits, opening portals to the respective time periods.
- The time machine pieces themselves have entered the portals.
- Your team needs to travel through the exhibits to recover the time machine pieces.
- Each puzzle will relate to a different time period, with this puzzle having an early-1940’s era theme.

### Scenario

Each puzzle within the escape room has a different scenario. For this puzzle, the scenario is as follows:

- The impact of the time machine piece has destroyed a section of the train tracks on the line for a train transporting a group of important political figures.
- A diversion isn’t possible as the train has already left, so the tracks need to be repaired urgently – if the passengers can’t reach their destination, who knows how it could affect the future?
- Unfortunately, the lead engineer has mysteriously vanished, and the maintenance team needs access to their locked toolbox.
- Curiously, you find a strange crossword puzzle on the main desk al0ngside some disorganised lettered tiles. Perhaps completing this puzzle will offer some kind of clue?

## Puzzle aims and objectives

1. The players will need to complete a crossword puzzle using the provided Scrabble tiles.
2. The players will need to search around the room for clues to complete the crossword.
3. When the crossword is completed, 4 of the tiles will light up. The scores on these tiles will provide the combination to open the toolbox.

## Functionality

The puzzle was built using an Arduino board and makes use of eight photoresistors and four LED's hidden under the crossword itself. Six of the photoresistors are placed under the words and, once covered, will cause the four LED's to light up, provided the remaining two photoresistors are not covered. This is to prevent people from prematurely activating the LED's by, for example, leaning over the board.

This is how the project looks when the LED's have been activated.

![Photo of the completed crossword with LED's lighing up](img/leds.jpg)
